.TH "siggen::SigGen" 3 "Wed Oct 9 2019" "Version 1.0" "SigGen" \" -*- nroff -*-
.ad l
.nh
.SH NAME
siggen::SigGen \- generates signature from input file and writes result to output file  

.SH SYNOPSIS
.br
.PP
.PP
\fC#include <SigGen\&.h>\fP
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "\fBSigGen\fP (\fBOptions\fP const &options)"
.br
.RI "generates signature from input file and writes result to output file "
.ti -1c
.RI "void \fBProcessToFile\fP ()"
.br
.RI "reads input file block after block and generate signature for each one "
.ti -1c
.RI "void \fBProcessToBuffer\fP (std::vector< char > &result)"
.br
.RI "reads input file block after block and generate signature for each one "
.in -1c
.SS "Protected Member Functions"

.in +1c
.ti -1c
.RI "void \fBWriteOutputFile\fP (std::vector< char > const &signatures)"
.br
.RI "writes signature from memory to file "
.in -1c
.SH "Detailed Description"
.PP 
generates signature from input file and writes result to output file 
.PP
Definition at line 14 of file SigGen\&.h\&.
.SH "Constructor & Destructor Documentation"
.PP 
.SS "siggen::SigGen::SigGen (\fBOptions\fP const & options)"

.PP
generates signature from input file and writes result to output file Prepares input, output and threading for actual processing by thread manager\&.
.PP
\fBExceptions\fP
.RS 4
\fIstd::runtime_error\fP 
.RE
.PP

.PP
Definition at line 12 of file SigGen\&.cpp\&.
.SH "Member Function Documentation"
.PP 
.SS "void siggen::SigGen::ProcessToBuffer (std::vector< char > & result)"

.PP
reads input file block after block and generate signature for each one Writes result to supplied buffer 
.PP
Definition at line 76 of file SigGen\&.cpp\&.
.SS "void siggen::SigGen::ProcessToFile ()"

.PP
reads input file block after block and generate signature for each one Writes result to file specified by options 
.PP
Definition at line 68 of file SigGen\&.cpp\&.
.SS "void siggen::SigGen::WriteOutputFile (std::vector< char > const & signatures)\fC [protected]\fP"

.PP
writes signature from memory to file 
.PP
\fBExceptions\fP
.RS 4
\fIstd::runtime_error\fP 
.RE
.PP

.PP
Definition at line 82 of file SigGen\&.cpp\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for SigGen from the source code\&.
